| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
CaptureCardWidget Class Reference

A widget representing a capture card in the UI, providing interface selection and filtering capabilities. More...

`#include <capture_card_widget.h>`

Inheritance diagram for CaptureCardWidget:

## Public Slots
void | interfaceSelected ()
| Slot triggered when an interface is selected.

## Signals
void | startCapture (QStringList ifaces)
| Signal emitted to start a capture.
void | captureFilterSyntaxChanged (bool valid)
| Signal emitted when the syntax validity of the capture filter changes.
void | showExtcapOptions (QString device_name, bool startCaptureOnClose)
| Signal emitted to show extcap options for a specific device.
void | interfacesChanged ()
| Signal emitted when the list or state of available interfaces changes.

## Public Member Functions
| CaptureCardWidget (QWidget *parent=nullptr)
| Constructs a new CaptureCardWidget.
| ~CaptureCardWidget ()
| Destroys the CaptureCardWidget.
InterfaceFrame * | interfaceFrame ()
| Retrieves the interface frame associated with this capture card.
const QString | captureFilter ()
| Gets the current capture filter.
void | setCaptureFilter (const QString &filter)
| Sets the current capture filter.
void | setCaptureFilterText (const QString &filter)
| Sets the text of the capture filter input without necessarily applying it.

## Protected Member Functions
bool | event (QEvent *event) override
| Handles general events for the widget.
void | resizeEvent (QResizeEvent *event) override
| Handles resize events for the widget.

## Detailed Description

A widget representing a capture card in the UI, providing interface selection and filtering capabilities.

## Constructor & Destructor Documentation

## ◆ CaptureCardWidget()

CaptureCardWidget::CaptureCardWidget | ( | QWidget * | parent = nullptr | ) |
| explicit

Constructs a new CaptureCardWidget.

Parameters

  parent | The parent widget, defaults to nullptr.

## Member Function Documentation

## ◆ captureFilter()

const QString CaptureCardWidget::captureFilter | ( |  | ) |

Gets the current capture filter.

Returns
  The capture filter string.

## ◆ captureFilterSyntaxChanged

void CaptureCardWidget::captureFilterSyntaxChanged | ( | bool | valid | ) |
| signal

Signal emitted when the syntax validity of the capture filter changes.

Parameters

  valid | True if the syntax is valid, false otherwise.

## ◆ event()

bool CaptureCardWidget::event | ( | QEvent * | event | ) |
| override protected

Handles general events for the widget.

Parameters

  event | The event to handle.

Returns
  True if the event was handled, false otherwise.

## ◆ interfaceFrame()

InterfaceFrame * CaptureCardWidget::interfaceFrame | ( |  | ) |

Retrieves the interface frame associated with this capture card.

Returns
  A pointer to the InterfaceFrame.

## ◆ resizeEvent()

void CaptureCardWidget::resizeEvent | ( | QResizeEvent * | event | ) |
| override protected

Handles resize events for the widget.

Parameters

  event | The resize event.

## ◆ setCaptureFilter()

void CaptureCardWidget::setCaptureFilter | ( | const QString & | filter | ) |

Sets the current capture filter.

Parameters

  filter | The filter string to apply.

## ◆ setCaptureFilterText()

void CaptureCardWidget::setCaptureFilterText | ( | const QString & | filter | ) |

Sets the text of the capture filter input without necessarily applying it.

Parameters

  filter | The filter string to set in the UI.

## ◆ showExtcapOptions

void CaptureCardWidget::showExtcapOptions | ( | QString | device_name,
|  | bool | startCaptureOnClose )
| signal

Signal emitted to show extcap options for a specific device.

Parameters

  device_name | The name of the extcap device.
  startCaptureOnClose | Whether to start the capture automatically when the options dialog closes.

## ◆ startCapture

void CaptureCardWidget::startCapture | ( | QStringList | ifaces | ) |
| signal

Signal emitted to start a capture.

Parameters

  ifaces | The list of interfaces to capture on.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/capture_card_widget.h
- /builds/wireshark/wireshark/ui/qt/widgets/capture_card_widget.cpp